@echo off
@setlocal
::
:: TID1 patch installation script
::
:: @(#)59       1.1  src/tim/efix/run_efix.bat, timr1_install, tim_1.1, ECS_20011024B 10/23/01 13:44:10

set required_level=1.1

:: if an argument is provided, use that as WAS_HOME
if '%1' == '' goto OK_1
set WAS_HOME=%1

:OK_1
:: ensure the WAS_HOME variable is set
if not '%WAS_HOME%'=='' goto OK_2
echo == Please set the WAS_HOME variable or provide WAS_HOME
echo == as an argument to this script...
goto end

:OK_2
:: ensure the provided WAS_HOME path is valid
if exist %WAS_HOME% goto OK_3
echo == "%WAS_HOME%" is not a valid path for WAS_HOME...
goto end

:OK_3
:: have a valid WAS_HOME setting; continue
echo == WAS_HOME is %WAS_HOME%

:: initialize WAS variables and paths
call %WAS_HOME%\bin\setupCmdLine
set PATH=%PATH%;%WAS_HOME%\bin

echo == Inspecting TID version info...

:: create temp copy of the version file we require
echo version = %required_level% > %temp%\vinfo

:: compare expected version info with actual file
FC /W %temp%\vinfo %WAS_HOME%\installedApps\TivoliIdentityDirector.ear\tid.war\config\versionInfo | find "no differences" > nul
if not errorlevel 1 goto OK_4

:: current installation isn't at required version level, so exit
echo == This patch requires TID to be at version level %required_level%...
echo == The versionInfo file for your installation contains:
type %WAS_HOME%\installedApps\TivoliIdentityDirector.ear\tid.war\config\versionInfo
goto cleanup

:OK_4
:: extract the patch
echo == Beginning to extract TID1 patch...
%JAVA_HOME%\bin\java -jar TID1_PTF_AEsServer.jar -Target %WAS_HOME% -Force

::
:: to be sure user didn't exit prematurely from patch extraction,
:: again compare expected version info with actual file; this time,
:: expect the levels NOT to match, indicating that the patch was
:: installed.
::
FC /W %temp%\vinfo %WAS_HOME%\installedApps\TivoliIdentityDirector.ear\tid.war\config\versionInfo | find "no differences" > nul
if errorlevel 1 goto OK_5
echo == Patch was not installed...
goto cleanup

:OK_5
::
:: TID1 post-install actions:
::   - clobber precompilations for the JSP files this patch replaces
echo == Performing TID1 patch post-install actions...
set CACHE_DIR=%WAS_HOME%\installedApps\TivoliIdentityDirector.ear\tid.war\WEB-INF\classes\secure
if exist %CACHE_DIR%\challenge del /Q %CACHE_DIR%\challenge\*.* > nul
if exist %CACHE_DIR%\update    del /Q %CACHE_DIR%\update\*.* > nul

echo == TID1 patch installation is complete...

:cleanup
del %temp%\vinfo > nul

:end
echo == Exiting now.
@endlocal
::
